---
title: SVGForeignObjectElement
slug: Web/API/SVGForeignObjectElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGForeignObjectElement</code></strong> interface provides access to the properties of {{SVGElement("foreignObject")}} elements, as well as methods to manipulate them.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("SVGGraphicsElement")}} and implements properties from {{domxref("SVGURIReference")}}.</em></p>

<dl>
 <dt>{{domxref("SVGForeignObjectElement.x")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("x")}} attribute of the given {{SVGElement("foreignObject")}} element.</dd>
 <dt>{{domxref("SVGForeignObjectElement.y")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("x")}} attribute of the given {{SVGElement("foreignObject")}} element.</dd>
 <dt>{{domxref("SVGForeignObjectElement.width")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("width")}} attribute of the given {{SVGElement("foreignObject")}} element.</dd>
 <dt>{{domxref("SVGForeignObjectElement.height")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("height")}} attribute of the given {{SVGElement("foreignObject")}} element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface has no methods but inherits methods from its parent, {{domxref("SVGGraphicsElement")}} and implements methods from {{domxref("SVGURIReference")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "embedded.html#ForeignObjectElement", "SVGForeignObjectElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Replaced the inheritance from {{domxref("SVGElement")}}, {{domxref("SVGTests")}}, {{domxref("SVGLangSpace")}}, {{domxref("SVGExternalResourcesRequired")}}, {{domxref("SVGStylable")}}, and {{domxref("SVGTransformable")}} by {{domxref("SVGGraphicsElement")}} and {{domxref("SVGURIReference")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "extend.html#InterfaceSVGForeignObjectElement", "SVGForeignObjectElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGForeignObjectElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("foreignObject")}}</li>
</ul>
